Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler.rewrite
Class ForwardedSchemeHeaderRule

    java.lang.Object
      org.mortbay.jetty.handler.rewrite.Rule
          org.mortbay.jetty.handler.rewrite.HeaderRule
              org.mortbay.jetty.handler.rewrite.ForwardedSchemeHeaderRule

    public class ForwardedSchemeHeaderRule

extends HeaderRule

Set the scheme for the request

Author:
  Ervin Varga, Athena Yao

Field Summary

Fields inherited from class org.mortbay.jetty.handler.rewrite.Rule
`_handling, _terminating`

Constructor Summary
`ForwardedSchemeHeaderRule()`

Method Summary
`protected java.lang.String` | `apply(java.lang.String target, java.lang.String value, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Apply the rule to the request
`java.lang.String` | `getScheme()`
`void` | `setScheme(java.lang.String scheme)`

Methods inherited from class org.mortbay.jetty.handler.rewrite.HeaderRule
`getHeader, getHeaderValue, matchAndApply, setHeader, setHeaderValue, toString`

Methods inherited from class org.mortbay.jetty.handler.rewrite.Rule
`isHandling, isTerminating, setHandling, setTerminating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForwardedSchemeHeaderRule

    public ForwardedSchemeHeaderRule()

Method Detail

### getScheme

    public java.lang.String getScheme()

### setScheme

    public void setScheme(java.lang.String scheme)

  Parameters:
    `scheme` - the scheme to set on the request. Defaults to "https"

### apply

    protected java.lang.String apply(java.lang.String target,
                                     java.lang.String value,
                                     javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response)

  Description copied from class: `HeaderRule`
  Apply the rule to the request

  Specified by:
    `apply` in class `HeaderRule`
  Parameters:
    `target` - field to attempt match
    `value` - header value found
    `request` - request object
    `response` - response object
  Returns:
    The target (possible updated)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.